
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#(.Net) 配合WQL实现并口读写 / iVAN</title>

    <meta name="description" content="C#(.Net) 配合WQL实现并口读写 最近做开发,要对POS打印机就进行编程,说白了,也就是一个端口读写,再根据打印机说明实现几个 POS指令就OK了,但是遇到了一个困难的问题,因为是无人系统,一个打印机打印客户单据,一个打印历 史单据,这个还不是最要命的,最要命的是一个是串口的,一个是并口的,对于串口还好办,因为.Net里 有现成的SerialPort类,可是并口就难了. 搜了一下网上的资料,不外乎两种方法. 第一种是用win32 API来实现.见 http://support.microsoft.com/kb/823179/zh">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#(.Net) 配合WQL实现并口读写</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最近做开发，要对POS打印机就进行编程，说白了，也就是一个端口读写，再根据打印机说明实现几个 POS指令就OK了，但是遇到了一个困难的问题，因为是无人系统，一个打印机打印客户单据，一个打印历 史单据，这个还不是最要命的，最要命的是一个是串口的，一个是并口的，对于串口还好办，因为.Net里 有现成的SerialPort类，可是并口就难了。</p>
<p>搜了一下网上的资料，不外乎两种方法。</p>
<p>第一种是用win32 API来实现。见</p>
<p>http://support.microsoft.com/kb/823179/zh-cn</p>
<p>另一种方式是用第三方的动态连接库inpout32.dll</p>
<p>http://www.codeproject.com/KB/vb/Inpout32_read.aspx</p>
<p>两种方式，各有优劣。</p>
<p>如果用win32 API的话，操作固然方便，但是有一个死穴，就是无法读并口的数据。</p>
<p>如果用inpout32呢，到是能读能写，但是并口的地址（0x378,0x379,0x37a）并不是一个固定值。</p>
<p>参见文档</p>
<p>http://www.cnblogs.com/thunderdanky/articles/795010.html</p>
<p>但是客户要求能实时检测打印机状态 。。 这个问题可是难住了一天。</p>
<p>怎么办?让客户自己到设备管理器里去找并口基址？MS有点太土了。</p>
<p>后来看了一些资料，突然发现WQL好像可以实现查找串口基址的功能，实验了一下，还真实现了，嘿嘿</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-07 08:11:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%b8%b2%e5%8f%a3/" title="串口">串口</a>, <a href="https://www.iamivan.net/tag/%e5%ae%a2%e6%88%b7/" title="客户">客户</a>, <a href="https://www.iamivan.net/tag/zebra%e6%8c%87%e4%bb%a4%e6%89%93%e5%8d%b0c-%e6%89%93%e5%8d%b0%e6%9c%ba/" title="zebra指令打印c&num;打印机">zebra指令打印c&num;打印机</a>, <a href="https://www.iamivan.net/tag/%e8%af%bb%e4%b8%b2%e5%8f%a3%e6%95%b0%e6%8d%ae/" title="读串口数据">读串口数据</a>, <a href="https://www.iamivan.net/tag/c-%e6%89%93%e5%8d%b0%e6%9c%ba/" title="c&num; 打印机">c&num; 打印机</a>, <a href="https://www.iamivan.net/tag/%e4%b8%b2%e5%8f%a3%e8%af%bb%e5%86%99/" title="串口读写">串口读写</a>, <a href="https://www.iamivan.net/tag/%e4%b8%b2%e5%8f%a3serialport/" title="串口serialport">串口serialport</a>, <a href="https://www.iamivan.net/tag/%e4%b8%b2%e5%8f%a3c/" title="串口c&num;">串口c&num;</a>, <a href="https://www.iamivan.net/tag/vb-net-%e6%89%93%e5%8d%b0-%e7%ab%af%e5%8f%a3/" title="vb net 打印 端口">vb net 打印 端口</a>, <a href="https://www.iamivan.net/tag/%e5%b9%b6%e5%8f%a3/" title="并口">并口</a>, <a href="https://www.iamivan.net/tag/%e5%9f%ba%e5%9d%80/" title="基址">基址</a>, <a href="https://www.iamivan.net/tag/c-%e5%b9%b6%e5%8f%a3%e6%89%93%e5%8d%b0/" title="c&num;并口打印">c&num;并口打印</a>, <a href="https://www.iamivan.net/tag/%e5%b9%b6%e5%8f%a3%e6%89%93%e5%8d%b0%e5%9b%be%e7%89%87/" title="并口打印图片">并口打印图片</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#(.Net) 配合WQL实现并口读写的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rXexp.html" rel="bookmark">linux下并口相关（x86）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 用户空间操作并口 linux的x86平台下在用户空间操作并口有两种方式,要么写成驱动,用户应用程序通过IO设备模块实现对并口读写,还有就是直接在用户空间I/O内存地址 PC25针并口. 接口定义如下: 针 方向 2,3,4,5,6,7,8,9 双向 1,14,16,17 输出 10,11,12,13,15 输入 18,19,20,21,22,23,24,25 地   并口编程基础 这些引脚,其实就是I/O口.而且是可以控制的,以软件的方式,非常简单. 在计算机内部,对应的寄存器如下: 0x3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0B35mz.html" rel="bookmark">烟草行业无限射频技术解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.方案简介 随着流通领域的市场竞争日趋激烈,各地烟草流通企业居安思危,提高管理水平,优化业务流程,注重客户资源的管理,优化企业内外部资源,最终提升企业的市场竞争力,增强应变能力,希望在今后的新一轮的市场竞争中立于不败之地. 目前烟草行业&quot;一号工程&quot;一期推广工作已基本完成,二期工作陆续在全国开展起来.随着工作的深入,也逐渐浮现出来一些亟待解决的问题.首先,要将全国的卷烟信息统一管理,是一项异常庞大和烦琐的工作,除了需要进行卷烟的信息跟踪,还需要在多个环节进行信息的确认:其次,传统的条码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk5nXEb.html" rel="bookmark">烟草行业管理解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.方案简介 随着流通领域的市场竞争日趋激烈,各地烟草流通企业居安思危,提高管理水平,优化业务流程,注重客户资源的管理,优化企业内外部资源,最终提升企业的市场竞争力,增强应变能力,希望在今后的新一轮的市场竞争中立于不败之地. 目前烟草行业&quot;一号工程&quot;一期推广工作已基本完成,二期工作陆续在全国开展起来.随着工作的深入,也逐渐浮现出来一些亟待解决的问题.首先,要将全国的卷烟信息统一管理,是一项异常庞大和烦琐的工作,除了需要进行卷烟的信息跟踪,还需要在多个环节进行信息的确认:其次,传统的条码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEkV4b.html" rel="bookmark">Delphi控制并行端口位操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				并行端口简称并口,它有3个端口:数据端口.状态端口.控制端口,常用的并口为LPT1,它的3个端口的地址分别为:378H.379H和37AH. 一.并口读写 在汇编语言中,可以用 in.out 指令操作并口,而在Delphi中并没有相对应的函数.方法可对并口进行读写,幸运的是Delphi可以嵌入汇编程序,通过直接嵌入汇编指令 in.out 可方便地对并口进行读写.我们还可以通过调用 Windows API 函数或第三方提供的DLL.VXD来访问并口,但通过使用嵌入汇编的方法对并口进行读写更方便.快			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEKk0qp.html" rel="bookmark">《大数据存储：MongoDB实战指南》一1&period;6 MongoDB特点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 MongoDB特点 大数据存储:MongoDB实战指南 它的存储模型与关系数据库的比较如表1-1所示. 关系数据库中最基本的单元是行,而MongoDB中最基本存储单元是document,典型结构如下所示. { &quot;_id&quot; : ObjectId(&quot;51e0c391820fdb628ad4635a&quot;), &quot;author&quot; : { &quot;name&quot; : &quot;Jordan&quot;,&quot;email&quot; :			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEldyp.html" rel="bookmark">php读取本地文件常用函数&lpar;fopen与file&lowbar;get&lowbar;contents&rpar;&lowbar;php基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面我们以.txt文件为实例来介绍php读取本地文件的函数,读取文件我们可以利用fopen或file_get_contents来读取,file_get_contents更简单而fopen需要fread配合才可以显示读出的内容. 1.首先来介绍一下fopen()函数 下面我们给出了一个直接打开本地文件的代码demo,必要的地方我们都已经加上了注释: 复制代码 代码如下:     //直接打开一个本地文件的实例代码       &lt;?php       //假若我们本地的文件是一个名为xmlas.tx			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z44RyLz.html" rel="bookmark">php读取本地文件常用函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.首先来介绍一下fopen()函数 下面我们给出了一个直接打开本地文件的代码demo,必要的地方我们都已经加上了注释:  代码如下 复制代码     //直接打开一个本地文件的实例代码       &lt;?php       //假若我们本地的文件是一个名为xmlas.txt的文本       $filedemo = &quot;xmlas.txt&quot;;       $fpdemo = fopen($filedemo,&quot;r&quot;);       if ($fpdemo){  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn6452p.html" rel="bookmark">烟厂RFID仓储管理解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.方案简介 中国烟草经过有了400多年的发展,迎来行业最成功.最辉煌的时期,随着经济全球一体化趋势的越来越明显,中国烟草的发展也需要融入到国际烟草发展的大环境中.由于市场秩序不尽规范和高额利润的驱动,卷烟的走私贩私和制假售假活动比较严重,这些对烟草行业的健康发展造成了严重影响.为此,大家都在积极探讨&quot;科教兴烟&quot;战略.加大科技力度,提高管理水平,优化业务流程,注重客户资源的管理,优化企业内外部资源,最终提升企业的市场竞争力,增强企业的应变能力,在今后的新一轮的市场竞争中立于不败之地.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeKm8VM.html" rel="bookmark">物联网RFID在工业生产控制中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前我国工业物联网有智能化生产.智能化产品.网络协同制造.个性化定制等四种模式,其核心要义是通过数据应用与智能连接,提升生产效率和质量,创造精准供给.工业物联网制造业生产线几乎每月都要损耗大量物料,并且生产结果与预期因为有误差而影响交货的情况时有发生,生产线也往往因人为原因造成种种误差.将RFID标签贴在生产物料或产品上,可自动记录产品的数量.规格.质量.时间.负责人等生产信息,代替传统的手工记录;生产主管通过读写器随时读取产品信息;其他相关人员能及时掌握生产状况并根据情况调整生产安排;采购.生			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2YQqz.html" rel="bookmark" class="title">settext-在onActivityResult后设置setText失败</a>
					<div>
						问题描述 在onActivityResult后设置setText失败 我使用 ViewPager+Tabhost 框架. 我在A activity传递 startActivityForResult(B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp58ZqM.html" rel="bookmark" class="title">按位&OpenCurlyDoubleQuote;异或&rdquo;赋值运算符 &lpar;&Hat;&equals;&rpar;</a>
					<div>
						运算   对变量和表达式执行按位异或,并将结果赋给该变量. result ^= expression 参数 result 任意变量. expression 任意表达式. 说明 使用 ^= 运算符和使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMra7yb.html" rel="bookmark" class="title">ASP小偷&lpar;远程数据获取&rpar;程序的入门教程</a>
					<div>
						程序|教程|入门教程|数据|入门教程 这里所说的&quot;小偷&quot;指的是在ASP中运用XML中的XMLHTTP组件提供的强大功能,把远程网站上的数据(图片,网页及其他文件)抓取到本地,经过各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM99YkM.html" rel="bookmark" class="title">自己动手制作手机Flash主题动画</a>
					<div>
						现在智能手机已成为时下数码领域里的热门话题,很多数码发烧友都用上了高端智能手机并致力于应用方面的研究.顺应热潮,Macromedia公司也开发了在手机上应用的Flash动画播放器:Flash Lite ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo1J3p.html" rel="bookmark" class="title">网站优化之谷歌切词研究</a>
					<div>
						在平时我们使用搜索引擎的时候,我们通常都是输入一个词语进行搜索,比如我们要去南部旅游,通常输入有名的旅游胜地的名字,如垦丁公园,西子湾,四重溪等这些名字,对要去的地点搜索了解,这些我们常用来搜索的字词 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBBR5b.html" rel="bookmark" class="title">如何解决JSP页面显示乱码问题</a>
					<div>
						大家在JSP的开发过程中,经常出现中文乱码的问题,可能一至困扰着您,我现在把我在JSP开发中遇到的中文乱码的问题及解决办法写出来供大家参考. 一.JSP页面显示乱码 下面的显示页面(display.j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AO17p.html" rel="bookmark" class="title">C&num;的比较运算</a>
					<div>
						C#中定义的比较操作符有: ●==等于 ●!=不等于 ●&lt;小于 ●&gt;大于 ●&lt;=小于或等于 ●&gt;=大于或等于 整数与实数 对于整数类型和实数类型,这六种比较操作符都可以适用.根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKdXVp.html" rel="bookmark" class="title">高斯模糊的算法</a>
					<div>
						通常,图像处理软件会提供&quot;模糊&quot;(blur)滤镜,使图片产生模糊的效果. &quot;模糊&quot;的算法有很多种,其中有一种叫做&quot;高斯模糊&quot;(Gaussia ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKLk1M.html" rel="bookmark" class="title">Java多国语言问题解决方案</a>
					<div>
						随着经济全球化的发展,产生了众多的跨国公司,而Java语言的出现以及网 络通讯技术的飞速发展,使企业仅购买一套基于web的企业级应用软件(比如说 :OA系统,ERP系统.CRM等),通过网络就能满足整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElymAz.html" rel="bookmark" class="title">python执行外部程序的常用方法小结</a>
					<div>
						 这篇文章主要介绍了python执行外部程序的常用方法,实例总结了Python使用os模块及commands模块执行外部程序的技巧,非常具有实用价值,需要的朋友可以参考下     本文实例总结了pyt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr56kp.html" rel="bookmark" class="title">Photoshop制作一个新鲜红萝卜教程</a>
					<div>
						红萝卜制作起来并不复杂,不过后面的纹理刻画稍微难一点,可用两个曲线调整图层来刻画,一个曲线调亮,另一个压暗,再把蒙版填充黑色,用白色画笔涂出纹理部分即可.这样刻画起来比较快,修改也非常方便. 教程最终 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNE2mb.html" rel="bookmark" class="title">学PS你必须知道的一个批量处理技能</a>
					<div>
						  准备好GIF素材,这里我是直接在网上下载一张GIF图片.打开后的GIF图片你会发现PS里有好多图片.接着执行&quot;文件&quot;--&quot;脚本&quot;--&quot;将图层导出到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjxkep.html" rel="bookmark" class="title">WinRAR如何更改备份文件</a>
					<div>
						  有时候要处理大量的文件,时间一长就不知道该备份哪些文件了,其实利用 WinRAR 的功能就能够很轻松地备份文件,而且还可以保证是最新的呢!先将备份文件夹下的所有文件压缩在一个 backup.rar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNBloM.html" rel="bookmark" class="title">360安全浏览器官网认证问题</a>
					<div>
						  360安全浏览器的官网认证功能可以识别交易类.银行支付类网站的官方网站,并在在地址栏会显示该网站的铭牌.此功能可以使您清楚.方便地辨别该网站是否官方网站,从而避免因为访问假冒的欺诈网站受骗. 另外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjWdyb.html" rel="bookmark" class="title">win7系统怎样实现内外网同时连接的教程</a>
					<div>
						很多用户在工作的需要上,电脑设置只能连接内网,不能上网,于是就有用户想同时连接内网和外网,既能工作有能上网,这在win7系统下该怎么来实现呢?让小编来告诉大家在win7系统下如何设置同时连接内外网吧. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3m64p.html" rel="bookmark" class="title">Win7 32位系统下系统盘符错乱的完美解决方案</a>
					<div>
						  1.首先依次点击&quot;开始→控制面板→管理工具→计算机管理→磁盘管理&quot;,然后将错乱的盘符一个个设为你想要的样子,然后重启windows7操作系统,这时候会出现错误提示,而且无法进入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW5DLp.html" rel="bookmark" class="title">Garbage First</a>
					<div>
						1 G1 的基本概念 1 : HotSpot:现有的垃圾回收器: Serial GC, Parallel GC ,Concurrent Mark Sweep Gc 这三个GC不同: 1:如果你想要最小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqGgxb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;红遍全球&rdquo;的恶意软件 Mirai 换了个新马甲，这次瞄上我国2亿多台IoT设备</a>
					<div>
						在一年前的今天(2016.10.21),美国发生了一起规模极大的互联网瘫痪事故,多个城市的主要网站被攻击,人们发现连经常登录的推特.亚马逊.Paypal 等在内的大量网站连续数小时无法正常访问. 事后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N0rmz.html" rel="bookmark" class="title">Linux下文本的高效处理</a>
					<div>
						1 引言 所谓的文本处理是指对文本进行查找.替换.删除.排序等操作, linux在文本处理方面提供了大量优秀的工具, 使得在linux下进行文本处理极其的方便.  我们平常的工作中, 经常会用到文本处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWYjOp.html" rel="bookmark" class="title">Microservices 场景下的持续部署 &vert; 吕健</a>
					<div>
						内容简介 近两年作者在海外交付中参与 microservices 下的团队,为客户提升 Finance 系统的扩展性.作者所在团队,3 对开发(pair programming, 2 个 dev 为  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6v0qz.html" rel="bookmark" class="title">java 关于数组初始化的问题</a>
					<div>
						问题描述 java 关于数组初始化的问题 为什么这里输出的是0 而不是 7 解决方案 一楼说的对,一般顺序为(这三者):变量,构造器,方法,当int n:系统默认n＝0,所以初始化时b的长度等于0.我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZZj6z.html" rel="bookmark" class="title">黑客教父龚蔚演讲：钓鱼WiFi 也能照用不误</a>
					<div>
						       很久很久以前,网络安全没现在这么复杂.移动互联网时代骤然来临,如同一声响雷,移动安全威胁也像狂风骤雨一般接踵而至,人们没反应过来就已被淋得浑身湿透.这一切都看在龚蔚的眼里.这位安全界的元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXmBWz.html" rel="bookmark" class="title">红色风格&lowbar;非主流照片制作</a>
					<div>
						今天我们就来把一张图片制作成红色的效果吧,有的人喜欢叫做HZC风格非主流,我觉得随便怎么叫都行只是自己喜欢那怕叫就制作也行. 效果图. 1.打开原图复制一层,把图层混合模式改为&quot;滤色&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYZjLp.html" rel="bookmark" class="title">Unified Parallel C性能优化来合理对数据进行布局</a>
					<div>
						UPC 语言http://www.aliyun.com/zixun/aggregation/18736.html&quot;&gt;允许用户控制数据如何布局,而数据的布局又会影响到程序的性能.本文通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZd7Ep.html" rel="bookmark" class="title">文件类型判断-java文件类型如何准确进行判断呢</a>
					<div>
						问题描述 java文件类型如何准确进行判断呢 目前需要进行对docx和zip格式文件进行判断,判断后缀名肯定不行(后缀名可以恶意更改),头文件解析的话docx和zip的头文件时相同的,还有什么方式能准 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNjwKM.html" rel="bookmark" class="title">北京游戏公社加盟好项目</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;    硅谷网讯  随着2008年的金融危机,投资好项目变得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgvPAM.html" rel="bookmark" class="title">安装IBM HTTP SERVER6&period;0找不到服务</a>
					<div>
						问题描述 同一张盘上的WebSphere+IHS+插件.先安装的WebSphere,应用跑起来正常,现在想把IHS加上,直接IP访问.在安装IHS的时候,也是一切正常,但是在安装完成之后,系统里只有I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYLx8b.html" rel="bookmark" class="title">Android中获得手机屏幕大小实现代码&lowbar;Android</a>
					<div>
						Android在自定义控件时,经常需要获得屏幕的宽高,每次都要写,不妨直接把他封装成工具类,直接拿来用,废话不说,直接上代码 /** * */ package com.example.customvi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GoeNp.html" rel="bookmark" class="title">VBS教程：VBScript 语句-Property Set 语句&lowbar;vbs</a>
					<div>
						Property Set 语句 在 Class 块中,声明名称.参数和代码,这些构成了将引用设置到对象的 Property 过程的主体.  [Public | Private] Property Se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEnjOz.html" rel="bookmark" class="title">目标二（利用WINFORM实现）</a>
					<div>
						问题描述 目标二:输入一个路径,读取该路径文件的代码总行,空行,注释行.程序源代码:usingSystem;usingSystem.Collections.Generic;usingSystem.Co ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
